<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{7DB2F7D9-4CEA-466E-862B-2292BF485302}</ProjectGuid>
    <OutputType>WinExe</OutputType>
    <RootNamespace>LibraryMangementSystem</RootNamespace>
    <AssemblyName>LibraryMangementSystem</AssemblyName>
    <TargetFrameworkVersion>v4.7.2</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <AutoGenerateBindingRedirects>true</AutoGenerateBindingRedirects>
    <Deterministic>true</Deterministic>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="EntityFramework, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089, processorArchitecture=MSIL">
      <HintPath>packages\EntityFramework.6.2.0\lib\net45\EntityFramework.dll</HintPath>
    </Reference>
    <Reference Include="EntityFramework.SqlServer, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089, processorArchitecture=MSIL">
      <HintPath>packages\EntityFramework.6.2.0\lib\net45\EntityFramework.SqlServer.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.ComponentModel.DataAnnotations" />
    <Reference Include="System.Core" />
    <Reference Include="System.Runtime.Serialization" />
    <Reference Include="System.Security" />
    <Reference Include="System.Windows.Forms.DataVisualization" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Deployment" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="BaseSet.cs">
      <DependentUpon>Library.tt</DependentUpon>
    </Compile>
    <Compile Include="BookClass.cs">
      <DependentUpon>Library.tt</DependentUpon>
    </Compile>
    <Compile Include="BookInfo.cs">
      <DependentUpon>Library.tt</DependentUpon>
    </Compile>
    <Compile Include="BookManage\BookAdd.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="BookManage\BookAdd.Designer.cs">
      <DependentUpon>BookAdd.cs</DependentUpon>
    </Compile>
    <Compile Include="BookManage\PublishUpdate.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="BookManage\PublishUpdate.Designer.cs">
      <DependentUpon>PublishUpdate.cs</DependentUpon>
    </Compile>
    <Compile Include="BookManage\PublisherInfoForm.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="BookManage\PublisherInfoForm.Designer.cs">
      <DependentUpon>PublisherInfoForm.cs</DependentUpon>
    </Compile>
    <Compile Include="BookManage\PublishAdd.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="BookManage\PublishAdd.Designer.cs">
      <DependentUpon>PublishAdd.cs</DependentUpon>
    </Compile>
    <Compile Include="BookQuery\BookQueryByClass.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="BookQuery\BookQueryByClass.Designer.cs">
      <DependentUpon>BookQueryByClass.cs</DependentUpon>
    </Compile>
    <Compile Include="BookQuery\BookQueryById.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="BookQuery\BookQueryById.Designer.cs">
      <DependentUpon>BookQueryById.cs</DependentUpon>
    </Compile>
    <Compile Include="BookRead\BookAbstract.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="BookRead\BookAbstract.Designer.cs">
      <DependentUpon>BookAbstract.cs</DependentUpon>
    </Compile>
    <Compile Include="BookRead\NewBook.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="BookRead\NewBook.Designer.cs">
      <DependentUpon>NewBook.cs</DependentUpon>
    </Compile>
    <Compile Include="BookRental\BookRegistration.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="BookRental\BookRegistration.Designer.cs">
      <DependentUpon>BookRegistration.cs</DependentUpon>
    </Compile>
    <Compile Include="BookRental\ReturnBook.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="BookRental\ReturnBook.Designer.cs">
      <DependentUpon>ReturnBook.cs</DependentUpon>
    </Compile>
    <Compile Include="BookManage\BookDel.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="BookManage\BookDel.Designer.cs">
      <DependentUpon>BookDel.cs</DependentUpon>
    </Compile>
    <Compile Include="BookScan\BookScanForm.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="BookScan\BookScanForm.Designer.cs">
      <DependentUpon>BookScanForm.cs</DependentUpon>
    </Compile>
    <Compile Include="CertificateInfo.cs">
      <DependentUpon>Library.tt</DependentUpon>
    </Compile>
    <Compile Include="CertManage\CertAdd.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="CertManage\CertAdd.Designer.cs">
      <DependentUpon>CertAdd.cs</DependentUpon>
    </Compile>
    <Compile Include="CertManage\CertLogout.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="CertManage\CertLogout.Designer.cs">
      <DependentUpon>CertLogout.cs</DependentUpon>
    </Compile>
    <Compile Include="CertManage\CertLoss.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="CertManage\CertLoss.Designer.cs">
      <DependentUpon>CertLoss.cs</DependentUpon>
    </Compile>
    <Compile Include="Dao\DaoUtil.cs" />
    <Compile Include="Dao\DataConvert.cs" />
    <Compile Include="Depart.cs">
      <DependentUpon>Library.tt</DependentUpon>
    </Compile>
    <Compile Include="index.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="index.Designer.cs">
      <DependentUpon>index.cs</DependentUpon>
    </Compile>
    <Compile Include="LibraryDataSet.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>LibraryDataSet.xsd</DependentUpon>
    </Compile>
    <Compile Include="login.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="login.Designer.cs">
      <DependentUpon>login.cs</DependentUpon>
    </Compile>
    <Compile Include="Library.Context.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Library.Context.tt</DependentUpon>
    </Compile>
    <Compile Include="Library.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Library.tt</DependentUpon>
    </Compile>
    <Compile Include="Library.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Library.edmx</DependentUpon>
    </Compile>
    <Compile Include="Loan.cs">
      <DependentUpon>Library.tt</DependentUpon>
    </Compile>
    <Compile Include="Program.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Publisherlnfo.cs">
      <DependentUpon>Library.tt</DependentUpon>
    </Compile>
    <Compile Include="StatisticData\ChartDisplay.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="StatisticData\ChartDisplay.Designer.cs">
      <DependentUpon>ChartDisplay.cs</DependentUpon>
    </Compile>
    <Compile Include="StatisticData\StatisticCount.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="StatisticData\StatisticCount.Designer.cs">
      <DependentUpon>StatisticCount.cs</DependentUpon>
    </Compile>
    <Compile Include="SystemSet\DaysSet.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="SystemSet\DaysSet.Designer.cs">
      <DependentUpon>DaysSet.cs</DependentUpon>
    </Compile>
    <Compile Include="SystemSet\RatesSet.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="SystemSet\RatesSet.Designer.cs">
      <DependentUpon>RatesSet.cs</DependentUpon>
    </Compile>
    <Compile Include="SystemSet\UI_UpdateDays.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="SystemSet\UI_UpdateDays.Designer.cs">
      <DependentUpon>UI_UpdateDays.cs</DependentUpon>
    </Compile>
    <Compile Include="SystemSet\SysSet.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="SystemSet\SysSet.Designer.cs">
      <DependentUpon>SysSet.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\BookManage\BooksManage.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\BookManage\BooksManage.Designer.cs">
      <DependentUpon>BooksManage.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\CertManages\CertManages.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\CertManages\CertManages.Designer.cs">
      <DependentUpon>CertManages.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\CertManages\UI_Cert.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="UI\CertManages\UI_Cert.Designer.cs">
      <DependentUpon>UI_Cert.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\LoanManage\LoanManages.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\LoanManage\LoanManages.Designer.cs">
      <DependentUpon>LoanManages.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\UI_Help.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\UI_Help.Designer.cs">
      <DependentUpon>UI_Help.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\UI_Home.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\UI_Home.Designer.cs">
      <DependentUpon>UI_Home.cs</DependentUpon>
    </Compile>
    <Compile Include="UI_Index.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="UI_Index.Designer.cs">
      <DependentUpon>UI_Index.cs</DependentUpon>
    </Compile>
    <Compile Include="user.cs">
      <DependentUpon>Library.tt</DependentUpon>
    </Compile>
    <Compile Include="Util\BookUtil.cs" />
    <Compile Include="Util\ComboBoxItem.cs" />
    <Compile Include="Util\myTextBox.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="Util\myTextBox.Designer.cs">
      <DependentUpon>myTextBox.cs</DependentUpon>
    </Compile>
    <Compile Include="Util\ResultByClass.cs" />
    <Compile Include="Util\ResultPublish.cs" />
    <Compile Include="Util\Util_UI_Alert.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Util\Util_UI_Alert.Designer.cs">
      <DependentUpon>Util_UI_Alert.cs</DependentUpon>
    </Compile>
    <Compile Include="Util\Util_UI_Confirm.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Util\Util_UI_Confirm.Designer.cs">
      <DependentUpon>Util_UI_Confirm.cs</DependentUpon>
    </Compile>
    <EmbeddedResource Include="BookManage\BookAdd.resx">
      <DependentUpon>BookAdd.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="BookManage\PublishUpdate.resx">
      <DependentUpon>PublishUpdate.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="BookManage\PublisherInfoForm.resx">
      <DependentUpon>PublisherInfoForm.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="BookManage\PublishAdd.resx">
      <DependentUpon>PublishAdd.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="BookQuery\BookQueryByClass.resx">
      <DependentUpon>BookQueryByClass.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="BookQuery\BookQueryById.resx">
      <DependentUpon>BookQueryById.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="BookRead\BookAbstract.resx">
      <DependentUpon>BookAbstract.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="BookRead\NewBook.resx">
      <DependentUpon>NewBook.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="BookRental\BookRegistration.resx">
      <DependentUpon>BookRegistration.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="BookRental\ReturnBook.resx">
      <DependentUpon>ReturnBook.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="BookManage\BookDel.resx">
      <DependentUpon>BookDel.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="BookScan\BookScanForm.resx">
      <DependentUpon>BookScanForm.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="CertManage\CertAdd.resx">
      <DependentUpon>CertAdd.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="CertManage\CertLogout.resx">
      <DependentUpon>CertLogout.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="CertManage\CertLoss.resx">
      <DependentUpon>CertLoss.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="index.resx">
      <DependentUpon>index.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="login.resx">
      <DependentUpon>login.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Resources.resx</DependentUpon>
      <DesignTime>True</DesignTime>
    </Compile>
    <EmbeddedResource Include="StatisticData\ChartDisplay.resx">
      <DependentUpon>ChartDisplay.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="StatisticData\StatisticCount.resx">
      <DependentUpon>StatisticCount.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="SystemSet\DaysSet.resx">
      <DependentUpon>DaysSet.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="SystemSet\RatesSet.resx">
      <DependentUpon>RatesSet.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="SystemSet\UI_UpdateDays.resx">
      <DependentUpon>UI_UpdateDays.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="SystemSet\SysSet.resx">
      <DependentUpon>SysSet.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\BookManage\BooksManage.resx">
      <DependentUpon>BooksManage.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\CertManages\CertManages.resx">
      <DependentUpon>CertManages.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\CertManages\UI_Cert.resx">
      <DependentUpon>UI_Cert.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\LoanManage\LoanManages.resx">
      <DependentUpon>LoanManages.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\UI_Help.resx">
      <DependentUpon>UI_Help.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\UI_Home.resx">
      <DependentUpon>UI_Home.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI_Index.resx">
      <DependentUpon>UI_Index.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Util\myTextBox.resx">
      <DependentUpon>myTextBox.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Util\Util_UI_Alert.resx">
      <DependentUpon>Util_UI_Alert.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Util\Util_UI_Confirm.resx">
      <DependentUpon>Util_UI_Confirm.cs</DependentUpon>
    </EmbeddedResource>
    <EntityDeploy Include="Library.edmx">
      <Generator>EntityModelCodeGenerator</Generator>
      <LastGenOutput>Library.Designer.cs</LastGenOutput>
    </EntityDeploy>
    <None Include="Library.edmx.diagram">
      <DependentUpon>Library.edmx</DependentUpon>
    </None>
    <None Include="LibraryDataSet.xsc">
      <DependentUpon>LibraryDataSet.xsd</DependentUpon>
    </None>
    <None Include="LibraryDataSet.xsd">
      <Generator>MSDataSetGenerator</Generator>
      <LastGenOutput>LibraryDataSet.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </None>
    <None Include="LibraryDataSet.xss">
      <DependentUpon>LibraryDataSet.xsd</DependentUpon>
    </None>
    <None Include="packages.config" />
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <None Include="App.config" />
  </ItemGroup>
  <ItemGroup>
    <Service Include="{508349B6-6B84-4DF5-91F0-309BEEBAD82D}" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="Library.Context.tt">
      <Generator>TextTemplatingFileGenerator</Generator>
      <DependentUpon>Library.edmx</DependentUpon>
      <LastGenOutput>Library.Context.cs</LastGenOutput>
    </Content>
    <Content Include="Library.tt">
      <Generator>TextTemplatingFileGenerator</Generator>
      <DependentUpon>Library.edmx</DependentUpon>
      <LastGenOutput>Library.cs</LastGenOutput>
    </Content>
    <None Include="Resources\img.jpg" />
    <None Include="Resources\new_index.jpg" />
    <None Include="Resources\关闭.png" />
    <None Include="Resources\timg %281%29.jpg" />
    <None Include="Resources\timg2.jpg" />
  </ItemGroup>
  <ItemGroup />
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>